## vulture 2.14

=== requirements.txt ===
tomli >= 1.1.0; python_version < '3.11'

## vulture 0.8.1

=== debian/changelog ===
vulture (0.8.1-1) unstable; urgency=medium

  * New upstream release.
  * deb/control:
    + added Enhances against prospector.
    + added build-deps for pytest and pytest-cov.
  * deb/copyright: updated.
  * deb/rules: added override to dh_auto_test, but disabled due to
    outdated pytest-cov.

 -- Daniel Stender <debian@danielstender.com>  Sat, 24 Oct 2015 02:05:01 +0200

vulture (0.6-1) unstable; urgency=medium

  * Initial release (Closes: #788222).

 -- Daniel Stender <debian@danielstender.com>  Wed, 09 Sep 2015 11:24:13 +0200

=== debian/control ===
Source: vulture
Section: python
Priority: optional
Maintainer: Daniel Stender <debian@danielstender.com>
Uploaders:
 Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python,
 python-setuptools,
 txt2man,
 python-pytest,
 python-pytest-cov
Standards-Version: 3.9.6
Homepage: https://bitbucket.org/jendrikseipp/vulture
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/vulture/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-apps/packages/vulture/trunk/

Package: vulture
Architecture: all
Depends:
 ${misc:Depends},
 ${python:Depends}
Enhances:
 prospector
Description: scans for unused ("dead") code in a Python program
 Vulture uses static code analysis to find unused classes, functions and
 variables in Python code. This helps to cleanup and find errors in
 programs. However, the user has to be aware that the static method has
 its limitations.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
#export DEB_BUILD_OPTIONS=nocheck
export PYBUILD_NAME=vulture

VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_auto_test:
	# deactivate tests waiting for pytest-cov >= 2.0.0 becoming available (#802836)
	# PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test

override_dh_installdocs:
	dh_installdocs README.txt

override_dh_installchangelogs:
	dh_installchangelogs NEWS.txt

override_dh_installman:
	txt2man -s 1 -v "vulture" -t "vulture" -r "$(VERSION)" -d "$(DEBDATE)" debian/vulture.txt > .pybuild/vulture.1
	dh_installman .pybuild/vulture.1

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/vulture/vulture-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## vulture 0.10

=== debian/changelog ===
vulture (0.10-1) unstable; urgency=medium

  * New upstream release:
    + unfuzz pytest-no-cov.patch.
  * deb/control:
    + bump standards to 3.9.8 (no changes needed).
  * deb/copyright:
    + change license from GPL-3+ for Expat, debian/ accordingly.

 -- Daniel Stender <stender@debian.org>  Sun, 07 Aug 2016 20:54:29 +0200

vulture (0.8.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Daniel Stender <stender@debian.org>  Thu, 24 Mar 2016 12:57:42 +0100

vulture (0.8.1-2) experimental; urgency=medium

  * deb/control:
    + put group into Maintainer field (unconfirmed group uploads).
    + updated uploader email address.
    + bumped standards to 3.9.7 (no changes needed).
    + use HTTPS for Vcs-Browser.
  * deb/copyright: updated.
  * deb/rules:
    + dropped override for dh_installdocs, use deb/docs instead (added).
  * deb/source/options: corrected, added ignore pattern.
  * run build-time test suite:
    + build with vulture_0.8.1.tar.bz2 from Bitbucket repo (ships tests).
    + run py.test with dh_auto_test override in deb/rules.
    + added pytest-no-cov.patch (coverage could be spared, dropped build-
      dep against pytest-cov in deb/control).
  * Build/run on Python3:
    + changed deps in deb/control.
    + build with dh_python3 in deb/rules.
  * Added DEP-8 tests.

 -- Daniel Stender <stender@debian.org>  Mon, 21 Mar 2016 21:19:19 +0100

=== debian/control ===
Source: vulture
Section: python
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: Daniel Stender <stender@debian.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 python3,
 python3-setuptools,
 txt2man,
 python3-pytest
Standards-Version: 3.9.8
Homepage: https://bitbucket.org/jendrikseipp/vulture
Vcs-Svn: svn://anonscm.debian.org/python-apps/packages/vulture/trunk/
Vcs-Browser: https://anonscm.debian.org/viewvc/python-apps/packages/vulture/trunk/

Package: vulture
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends}
Enhances:
 prospector
Description: scans for unused ("dead") code in a Python program
 Vulture uses static code analysis to find unused classes, functions and
 variables in Python code. This helps to cleanup and find errors in
 programs. However, the user has to be aware that the static method has
 its limitations.

## vulture 0.11

=== debian/changelog ===
vulture (0.11-1+deb9u1) stretch; urgency=medium

  [ Andreas Beckmann ]
  * Non-maintainer upload.
  * Backport the dependency fix from 0.21-1.1.

  [ Adrian Bunk ]
  * Add the missing dependency on python3-pkg-resources.
    (Closes: #904762)
  * Fix the test dependencies.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 10 Feb 2019 02:42:08 +0100

vulture (0.11-1) unstable; urgency=medium

  * New upstream release:
    + unfuzz pytest-no-cov.patch
  * deb/control: switch section to "devel" (application-in-library-section).

 -- Daniel Stender <stender@debian.org>  Thu, 01 Dec 2016 21:15:48 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: vulture
-Section: python
+Section: devel
 Priority: optional
 Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
 Uploaders: Daniel Stender <stender@debian.org>
@@ -19,7 +19,8 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python3:Depends}
+ ${python3:Depends},
+ python3-pkg-resources
 Enhances:
  prospector
 Description: scans for unused ("dead") code in a Python program

=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,10 @@
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)
 
 %:
-	dh $@ --with python2 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test:
-	# deactivate tests waiting for pytest-cov >= 2.0.0 becoming available (#802836)
-	# PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} setup.py test" dh_auto_test
-
-override_dh_installdocs:
-	dh_installdocs README.txt
+	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS.txt

## vulture 0.21

=== debian/changelog ===
vulture (0.21-1ubuntu1) artful; urgency=medium

  * Set PYTHONPATH when running autopkgtests.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 09 Aug 2017 16:12:33 +1200

vulture (0.21-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Wed, 02 Aug 2017 06:19:56 -0400

vulture (0.19-1) unstable; urgency=medium

  * New upstream release.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Mon, 24 Jul 2017 09:55:15 +0800

vulture (0.15-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.0.0.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Tue, 04 Jul 2017 18:25:55 +0800

vulture (0.14-1) unstable; urgency=medium

  * Merge to unstable

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Sun, 18 Jun 2017 17:57:08 +0800

vulture (0.14-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump compat to 10.
  * Add ChangZhuo Chen as Uploaders (Closes: #863372).
  * Use Git as Vcs.

 -- ChangZhuo Chen (陳昌倬) <czchen@debian.org>  Fri, 26 May 2017 13:49:39 +0800

=== debian/control ===
Source: vulture
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper (>= 10),
               dh-python,
               python3,
               python3-pytest,
               python3-setuptools,
               txt2man,
Standards-Version: 4.0.0
Homepage: https://bitbucket.org/jendrikseipp/vulture
Vcs-Git: https://anonscm.debian.org/git/collab-maint/vulture.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/vulture.git

Package: vulture
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Enhances: prospector
Description: scans for unused ("dead") code in a Python program
 Vulture uses static code analysis to find unused classes, functions and
 variables in Python code. This helps to cleanup and find errors in
 programs. However, the user has to be aware that the static method has
 its limitations.

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test
 
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS.txt
+	dh_installchangelogs NEWS.rst
 
 override_dh_installman:
 	txt2man -s 1 -v "vulture" -t "vulture" -r "$(VERSION)" -d "$(DEBDATE)" debian/vulture.txt > .pybuild/vulture.1

=== debian/tests/control ===
Tests: vulture
Depends: python3, python3-pytest

## vulture 1.3

=== debian/changelog ===
vulture (1.3-0ubuntu1) focal; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 07 Feb 2020 14:54:23 +0100

vulture (0.21-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add the missing dependency on python3-pkg-resources.
    (Closes: #904762)
  * Fix the test dependencies.

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Aug 2018 14:55:53 +0300

=== debian/tests/control ===
Tests: vulture
Depends: @, python3-pytest

## vulture 2.1

=== debian/changelog ===
vulture (2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add toml to b-d

 -- Sandro Tosi <morph@debian.org>  Sat, 22 Aug 2020 21:53:12 -0400

vulture (1.6-1) unstable; urgency=low

  [ Debian Janitor ]
  * Use secure copyright file specification URI.
  * Bump debhelper from old 10 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Sandro Tosi ]
  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Mon, 03 Aug 2020 01:08:38 -0400

vulture (1.5-1) unstable; urgency=medium

  * New upstream release; Closes: #963707
  * debian/copyright
    - update upstream copyright information
    - add myself to debian/ copyright notice
  * debian/control
    - bump Standards-Version to 4.5.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 25 Jul 2020 00:09:37 -0400

vulture (1.4-1) unstable; urgency=medium

  * New upstream release; Closes: #950861, #954634
  * debian/control
    - add myself to Uploaders
    - update Vcs-* fields to point to PAPT salsa location
  * update upstream location to github
  * debian/copyright
    - update upstream copyright notice
  * debian/patches/pytest-no-cov.patch
    - refresh patch
  * Install the doc files from their new location

 -- Sandro Tosi <morph@debian.org>  Sun, 12 Apr 2020 23:20:31 -0400

=== debian/control ===
Source: vulture
Section: devel
Priority: optional
Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>, Sandro Tosi <morph@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3,
               python3-pytest,
               python3-setuptools,
               python3-toml,
               txt2man,
Standards-Version: 4.5.0
Homepage: https://github.com/jendrikseipp/vulture
Vcs-Git: https://salsa.debian.org/python-team/applications/vulture.git
Vcs-Browser: https://salsa.debian.org/python-team/applications/vulture

Package: vulture
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pkg-resources
Enhances: prospector
Description: scans for unused ("dead") code in a Python program
 Vulture uses static code analysis to find unused classes, functions and
 variables in Python code. This helps to cleanup and find errors in
 programs. However, the user has to be aware that the static method has
 its limitations.

## vulture 2.3

=== debian/changelog ===
vulture (2.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.
  * d/watch: Use https protocol.

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches/pytest-no-cov.patch
    - refresh patch

 -- Sandro Tosi <morph@debian.org>  Wed, 27 Jan 2021 00:21:09 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: vulture
 Section: devel
 Priority: optional
-Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>, Sandro Tosi <morph@debian.org>
 Build-Depends: debhelper-compat (= 12),
                dh-python,
@@ -12,8 +12,8 @@
                txt2man,
 Standards-Version: 4.5.0
 Homepage: https://github.com/jendrikseipp/vulture
-Vcs-Git: https://salsa.debian.org/python-team/applications/vulture.git
-Vcs-Browser: https://salsa.debian.org/python-team/applications/vulture
+Vcs-Git: https://salsa.debian.org/python-team/packages/vulture.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/vulture
 
 Package: vulture
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,7 @@
 	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test
 
 override_dh_installchangelogs:
-	dh_installchangelogs NEWS.rst
+	dh_installchangelogs CHANGELOG.md
 
 override_dh_installman:
 	txt2man -s 1 -v "vulture" -t "vulture" -r "$(VERSION)" -d "$(DEBDATE)" debian/vulture.txt > .pybuild/vulture.1

## vulture 2.7

=== debian/changelog ===
vulture (2.7-2) unstable; urgency=medium

  * remove myself

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 00:52:54 -0500

vulture (2.7-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.
  * Update standards version to 4.6.1, no changes needed.

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - run wrap-and-sort
    - add pint to b-d, needed by tests
  * debian/tests/control
    - depends on build-deps

 -- Sandro Tosi <morph@debian.org>  Sun, 26 Feb 2023 01:32:42 -0500

vulture (2.3-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Update standards version to 4.5.1, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 21:41:41 +0100

=== debian/control ===
Source: vulture
Section: devel
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-pint <!nocheck>,
               python3-pytest,
               python3-setuptools,
               python3-toml,
               txt2man,
Standards-Version: 4.6.1
Homepage: https://github.com/jendrikseipp/vulture
Vcs-Git: https://salsa.debian.org/python-team/packages/vulture.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/vulture

Package: vulture
Architecture: all
Depends: python3-pkg-resources,
         ${misc:Depends},
         ${python3:Depends},
Enhances: prospector,
Description: scans for unused ("dead") code in a Python program
 Vulture uses static code analysis to find unused classes, functions and
 variables in Python code. This helps to cleanup and find errors in
 programs. However, the user has to be aware that the static method has
 its limitations.

=== debian/tests/control ===
Tests: vulture
Depends: @builddeps@

## vulture 2.11

=== debian/changelog ===
vulture (2.11-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.

 -- Colin Watson <cjwatson@debian.org>  Fri, 17 May 2024 12:21:30 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,11 @@
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3,
                python3-pint <!nocheck>,
                python3-pytest,
                python3-setuptools,
-               python3-toml,
                txt2man,
 Standards-Version: 4.6.1
 Homepage: https://github.com/jendrikseipp/vulture

## vulture 2.13

=== debian/changelog ===
vulture (2.13-2) unstable; urgency=medium

  * Team upload.
  * Remove now-unused dependency on python3-pkg-resources (closes:
    #1083983).

 -- Colin Watson <cjwatson@debian.org>  Fri, 04 Oct 2024 13:26:59 +0100

vulture (2.13-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Stop skipping test_toml_config_custom_path, fixed upstream.
  * Disable pytest coverage using "-o addopts=" rather than a patch.

 -- Colin Watson <cjwatson@debian.org>  Thu, 03 Oct 2024 19:35:37 +0100

vulture (2.12-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Skip test_toml_config_custom_path for now, since the sdist doesn't
    include all the necessary files (fixed upstream).
  * Switch to autopkgtest-pkg-pybuild.

 -- Colin Watson <cjwatson@debian.org>  Sun, 29 Sep 2024 15:59:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,7 @@
 #export DH_VERBOSE=1
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=vulture
+export PYBUILD_TEST_ARGS = -v -o addopts= {dir}
 
 VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)
@@ -9,9 +10,6 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
-override_dh_auto_test:
-	PYBUILD_SYSTEM=custom PYBUILD_TEST_ARGS="{interpreter} -m pytest -v -x" dh_auto_test
-
 override_dh_installchangelogs:
 	dh_installchangelogs CHANGELOG.md

## vulture 2.14

=== debian/changelog ===
vulture (2.14-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 08 Dec 2024 19:36:07 +0000

=== debian/control ===
--- 
+++ 
@@ -15,11 +15,11 @@
 Homepage: https://github.com/jendrikseipp/vulture
 Vcs-Git: https://salsa.debian.org/python-team/packages/vulture.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/vulture
+Testsuite: autopkgtest-pkg-pybuild
 
 Package: vulture
 Architecture: all
-Depends: python3-pkg-resources,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
 Enhances: prospector,
 Description: scans for unused ("dead") code in a Python program

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 #export DEB_BUILD_OPTIONS=nocheck
 export PYBUILD_NAME=vulture
 export PYBUILD_TEST_ARGS = -v -o addopts= {dir}
+# pytype is not currently packaged.
+PYBUILD_TEST_ARGS += -k 'not test_pytype'
 
 VERSION := $(shell dpkg-parsechangelog -Sversion | cut -d- -f1)
 DEBDATE := $(shell dpkg-parsechangelog -Sdate | date -u +"%F" -f -)

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/vulture/vulture-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
